﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace TreeViewSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }
    }

    public class ViewModel
    {

        public ViewModel()
        {
            TreeItems = new ObservableCollection<Model>();
            PopulateData();
        }

        public ObservableCollection<Model> TreeItems { get; set; }

        private void PopulateData()
        {
            for (int i = 1; i < 20; i++)
            {
                Model Root1 = new Model() { Header = "Root"+i };
                PopulateSubItems(Root1);
                TreeItems.Add(Root1);
            }

        }


        private void PopulateSubItems(Model Root)
        {

            Model SubItem1 = new Model() { Header = Root.Header + " Item1" };
            Model SubItem2 = new Model() { Header = Root.Header + " Item2" };
            Model SubItem3 = new Model() { Header = Root.Header + " Item3" };
            Model SubItem4 = new Model() { Header = Root.Header + " Item4" };

            Root.SubItems.Add(SubItem1);
            Root.SubItems.Add(SubItem2);
            Root.SubItems.Add(SubItem3);
            Root.SubItems.Add(SubItem4);
        }

    }

    public class Model
    {
        public Model()
        {
            SubItems = new ObservableCollection<Model>();
        }
        public string Header { get; set; }
        public bool IsCheckable { get; set; }
        public ObservableCollection<Model> SubItems { get; set; }
    }
}
